=== debian/changelog ===
baloo-widgets (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.71.0
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Borrow minimal uspstream signing key from k3b.
  * Update project homepage.
  * Refresh upstream metadata:
    - add Bug-Database and Bug-Submit
    - drop Contact and Name fields already present in machine readable
      copyright
    - move VCS URLs to invent.kde.org
  * Bump debhelper compatibility level to 13.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 12 Dec 2020 15:08:01 +0100
