=== debian/control ===
Source: baloo-widgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.71.0~),
               cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libkf5config-dev (>= 5.71.0~),
               libkf5filemetadata-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.11.0~),
Standards-Version: 4.5.1
Homepage: https://api.kde.org/baloo-widgets/html/index.html
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets.git
Rules-Requires-Root: no

Package: libkf5baloowidgets-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Wigets for use with Baloo - binaries
 Baloo is a framework for searching and managing metadata.
 .
 This package contains binaries used by the baloo widgets library.

Package: libkf5baloowidgets-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5baloowidgets5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.71.0~),
         ${misc:Depends},
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.

Package: libkf5baloowidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5filemetadata-bin, ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:17.08)
Recommends: libkf5baloowidgets-bin
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.
