=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: baloo-widgets
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: baloo-kf5-dev (>= 5.71.0~),
                cmake (>= 3.0~),
                debhelper-compat (= 13),
@@ -13,7 +13,7 @@
                libkf5i18n-dev (>= 5.71.0~),
                libkf5kio-dev (>= 5.71.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.11.0~),
+               qtbase5-dev (>= 5.12.0~),
 Standards-Version: 4.5.1
 Homepage: https://api.kde.org/baloo-widgets/html/index.html
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets
