=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
-Build-Depends: baloo-kf5-dev (>= 5.71.0~),
-               cmake (>= 3.0~),
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Build-Depends: baloo-kf5-dev (>= 5.90.0~),
+               cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.71.0~),
+               dh-sequence-kf5,
+               extra-cmake-modules (>= 5.90.0~),
                gettext,
-               libkf5config-dev (>= 5.71.0~),
-               libkf5filemetadata-dev (>= 5.71.0~),
-               libkf5i18n-dev (>= 5.71.0~),
-               libkf5kio-dev (>= 5.71.0~),
+               libkf5config-dev (>= 5.90.0~),
+               libkf5filemetadata-dev (>= 5.90.0~),
+               libkf5i18n-dev (>= 5.90.0~),
+               libkf5kio-dev (>= 5.90.0~),
+               libkf5service-dev (>= 5.90.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.0~),
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.15.2~),
+Standards-Version: 4.6.2
 Homepage: https://api.kde.org/baloo-widgets/html/index.html
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets.git
@@ -33,7 +35,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf5baloowidgets5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.71.0~),
+         libkf5kio-dev (>= 5.90.0~),
          ${misc:Depends},
 Description: Development headers for developing applications with Baloo
  Baloo is a framework for searching and managing metadata.
