=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: baloo-kf5-dev (>= 5.90.0~),
                cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -24,7 +24,7 @@
 
 Package: libkf5baloowidgets-bin
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Wigets for use with Baloo - binaries
  Baloo is a framework for searching and managing metadata.
  .
@@ -45,9 +45,9 @@
 Package: libkf5baloowidgets5
 Architecture: any
 Multi-Arch: same
-Depends: libkf5filemetadata-bin, ${misc:Depends}, ${shlibs:Depends}
-Breaks: dolphin (<< 4:17.08)
-Recommends: libkf5baloowidgets-bin
+Depends: libkf5filemetadata-bin, ${misc:Depends}, ${shlibs:Depends},
+Breaks: dolphin (<< 4:17.08),
+Recommends: libkf5baloowidgets-bin,
 Description: Wigets for use with Baloo
  Baloo is a framework for searching and managing metadata.
  .
