## baloo-widgets 24.08.0

=== debian/changelog ===
baloo-widgets (4:24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Aug 2024 11:45:33 +0200

baloo-widgets (4:24.05.2-2) experimental; urgency=medium

  [ Jesse Rhodes ]
  * Add Breaks/Replaces for libkf5baloowidgets-bin. (Closes: #1077966)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Aug 2024 22:33:03 +0200

baloo-widgets (4:24.05.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps and deps with info from cmake.
  * Use dh-sequence-kf6 and specify building with Qt6.
  * Bump to libkf6baloowidgets6 and adjust *.install to match.
  * Generate new libkf6baloowidgets6.symbols.
  * Add Breaks/Replaces for libkf5baloowidgets5.
  * Drop kf6 from -bin and -dev package names.
  * Update libbaloowidgets-dev dependencies with info from cmake.
  * Update copyright info.
  * Override lintian W: no-manual-page for
    baloo_filemetadata_temp_extractor
  * Bump Standards-Version to 4.7.0 (no changes needed).

  [ Aurélien COUDERC ]
  * Use hardening=+all build hardening flag.
  * Drop obsolete Breaks.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 29 Jul 2024 23:54:18 +0200
