## baloo-widgets 24.08.2

=== debian/changelog ===
baloo-widgets (4:24.08.2-0ubuntu2) plucky; urgency=medium

  * Kubuntu Vcs and maintainer fields.
  * Kubuntu specific breaks/replaces for KF5 to KF6 upgrades.

 -- Rik Mills <rikmills@kde.org>  Sat, 02 Nov 2024 17:24:58 +0000

baloo-widgets (4:24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 02 Nov 2024 17:07:11 +0000

baloo-widgets5 (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:23:31 +0100

baloo-widgets5 (4:24.08.0-1ubuntu2) oracular; urgency=medium

  * Add breaks/replaces for upgrade. (LP: #2080206)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Sep 2024 09:15:25 +0100

baloo-widgets5 (4:24.08.0-1ubuntu1) oracular; urgency=medium

  * Merge debian experimental.
  * Update maintainer fields.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 04 Sep 2024 18:16:59 +0100

baloo-widgets5 (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 30 Mar 2024 23:51:07 +0000

baloo-widgets5 (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:56:50 +0000

baloo-widgets5 (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 11:52:21 -0700

baloo-widgets5 (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:10:36 +0000

baloo-widgets5 (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:29:39 +0000

baloo-widgets5 (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:26:01 +0100

baloo-widgets5 (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:54:17 +0100

baloo-widgets5 (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:49:02 +0100

baloo-widgets5 (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:29:12 +0100

baloo-widgets5 (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:41:12 +0100

baloo-widgets5 (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:53:02 +0100

baloo-widgets5 (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:33:18 +0000

baloo-widgets5 (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:09:11 -0600

baloo-widgets5 (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:10:34 +0000

baloo-widgets5 (4:22.12.0-0ubuntu2) lunar; urgency=medium

  * Sync changes from Debian 4:22.12.0-2. Remaing changes:
    - Source is baloo-widgets5 in Ubuntu.
    - Kubuntu Vcs and maintainer fields.
    - Data package for translations.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 13:18:59 +0000

baloo-widgets5 (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:04:08 +0000

baloo-widgets5 (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:00:34 +0000

baloo-widgets5 (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:46:54 +0000

baloo-widgets5 (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:04:19 +0000

baloo-widgets5 (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:34:58 +0100

baloo-widgets5 (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:45:23 +0100

baloo-widgets5 (4:22.04.3-1ubuntu2) kinetic; urgency=medium

  * Fix debian/watch

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 29 Jul 2022 13:18:03 +0100

baloo-widgets5 (4:22.04.3-1ubuntu1) kinetic; urgency=medium

  * Sync changes from Debian baloo-widgets.
    - Drop acc test.
    - Update copyright, metadata and watch file.
    - Modernize building with dh-sequence-kf5 build dependency.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 10:01:33 +0100

baloo-widgets5 (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:22:34 +0100

baloo-widgets5 (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:56:05 +0100

baloo-widgets5 (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:52:50 +0100

baloo-widgets5 (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:42:42 +0100

baloo-widgets5 (4:21.12.3-0ubuntu1) jammy; urgency=medium


