=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: baloo-widgets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -17,8 +18,8 @@
                qt6-base-dev (>= 6.4.0~),
 Standards-Version: 4.7.0
 Homepage: https://api.kde.org/baloo-widgets/html/index.html
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
 Rules-Requires-Root: no
 
 Package: libbaloowidgets-bin
@@ -49,8 +50,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6filemetadata-bin, ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkf5baloowidgets5,
-Replaces: libkf5baloowidgets5,
+Breaks: libkf5baloowidgets5, libkf5baloowidgets-data,
+Replaces: libkf5baloowidgets5, libkf5baloowidgets-data
 Recommends: libkf6baloowidgets-bin,
 Description: Wigets for use with Baloo
  Baloo is a framework for searching and managing metadata.
