## baloo-widgets 24.12.0

=== debian/changelog ===
baloo-widgets (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:00:43 +0000

baloo-widgets (4:24.11.90-0ubuntu2) plucky; urgency=medium

  * Merge changes from 4:24.08.0-2 in Debian unstable.

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2024 09:57:57 +0000

baloo-widgets (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 12:58:49 +0000

baloo-widgets (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 14:46:01 +0000

baloo-widgets (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 15:15:26 +0000

baloo-widgets (4:24.08.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update dev package dependencies.
  * Fix name of recommended package libbaloowidgets-bin.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 27 Nov 2024 22:51:51 +0100
