=== debian/control ===
--- 
+++ 
@@ -37,7 +37,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6baloowidgets6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 5.240.0~),
          libkf6kio-dev (>= 5.240.0~),
          qt6-base-dev (>= 6.4.0~),
          ${misc:Depends},
@@ -52,7 +51,7 @@
 Depends: libkf6filemetadata-bin, ${misc:Depends}, ${shlibs:Depends},
 Breaks: libkf5baloowidgets5, libkf5baloowidgets-data,
 Replaces: libkf5baloowidgets5, libkf5baloowidgets-data
-Recommends: libkf6baloowidgets-bin,
+Recommends: libbaloowidgets-bin,
 Description: Wigets for use with Baloo
  Baloo is a framework for searching and managing metadata.
  .
