## baloo-widgets 24.12.1

=== debian/changelog ===
baloo-widgets (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 13:59:49 +0000
