=== debian/control ===
Source: baloo-widgets
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.4.0~),
               gettext,
               libkf6baloo-dev (>= 6.4.0~),
               libkf6config-dev (>= 6.4.0~),
               libkf6filemetadata-dev (>= 6.4.0~),
               libkf6i18n-dev (>= 6.4.0~),
               libkf6kio-dev (>= 6.4.0~),
               libkf6service-dev (>= 6.4.0~),
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://api.kde.org/baloo-widgets/html/index.html
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets.git
Rules-Requires-Root: no

Package: libbaloowidgets-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5baloowidgets-bin,
Replaces: libkf5baloowidgets-bin,
Description: Wigets for use with Baloo - binaries
 Baloo is a framework for searching and managing metadata.
 .
 This package contains binaries used by the baloo widgets library.

Package: libbaloowidgets-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6baloowidgets6 (= ${binary:Version}),
         libkf6kio-dev (>= 6.4.0~),
         qt6-base-dev (>= 6.4.0~),
         ${misc:Depends},
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.

Package: libkf6baloowidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6filemetadata-bin, ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5baloowidgets5,
Replaces: libkf5baloowidgets5,
Recommends: libbaloowidgets-bin,
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.
