=== debian/changelog ===
baloo-widgets (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:34:29 +0000

baloo-widgets (4:24.12.2-1ubuntu1) plucky; urgency=high

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Breaks/Replaces on libkf5baloowidgets-data.

 -- Rik Mills <rikmills@kde.org>  Thu, 20 Feb 2025 06:59:22 +0000

baloo-widgets (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 09:46:27 +0000
