=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
                libkf6kio-dev (>= 6.4.0~),
                libkf6service-dev (>= 6.4.0~),
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
-Homepage: https://api.kde.org/baloo-widgets/html/index.html
+Standards-Version: 4.7.2
+Homepage: https://invent.kde.org/frameworks/baloo
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets.git
 Rules-Requires-Root: no
